# $Id: smeserver-qos-1.0.spec,v 1.8 2009/03/03 21:36:59 slords Exp $
# Authority: VIP-ire
# Name: Daniel Berteaud

%define name smeserver-qos
%define version 1.0
%define release 4

Summary: Install management web console for QoS
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

Patch1: smeserver-qos-1.0-default_disabled.patch
Patch2: smeserver-qos-1.0-class_1_gets_70_percent.patch
Patch3: smeserver-qos-1.0-add_missing_return.patch
Patch4: smeserver-qos-1.0-restart_on_ip_up.patch
Patch5: smeserver-qos-1.0-print_action.patch
Patch6: smeserver-qos-1.0-tc_on_output.patch
Patch7: smeserver-qos-1.0-iptables_to_ipt.patch
Patch8: smeserver-qos-1.0-remove_tos_max_throughput_and_min_cost.patch
Patch9: smeserver-qos-1.0-tos_on_extdev.patch
Patch10: smeserver-qos-1.0-dns_match_extdev_on_return.patch
Patch11: smeserver-qos-1.0-ntp_match_extdev_on_return.patch
Patch12: smeserver-qos-1.0-add_hosts_prio.patch
Patch13: smeserver-qos-1.0-translate_qos_string.patch
Patch14: smeserver-qos-1.0-class_desc.patch
Patch15: smeserver-qos-1.0-allow_empty_hosts_prio.patch

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-base
Conflicts: smeserver-htbwshaper

%description
SME Server admin interface for QoS

%changelog
* Thu Oct 01 2009 Daniel B. <daniel@firewall-services.com> - 1.0-4.sme
- Various cleanups
- Add high priority hosts
- translate panel name

* Mon May 04 2009 Daniel B. <daniel@firewall-services.com> - 1.0-3.sme
- Add TC rules for OUTPUT so outgoing traffic from the server itself
  is also shaped

* Mon Apr 14 2009 Daniel B. <daniel@firewall-services.com> - 1.0-2
- Adjust qos on ip-up event
- Print action (stop/start/restart) in init script

* Mon Mar 16 2009 Daniel B. <daniel@firewall-services.com> - 1.0-1
- Change default status to disabled
- Class 1 gets 70%, class 2 15%, class 3 10% and class 4 5% (reserved)
- Add missing -j RETURN after the catchall rule

* Wed Mar 13 2009 Daniel B. <daniel@firewall-services.com> - 1.0-0
- Initial release based on smeserver-htbwshaper, but with a lot of
  changes and enhancement


%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
%preun
%postun

